Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in GLib
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in GLib
ID: 202107-13
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Mi, 7. Juli 2021, 23:11
Referenzen: https://nvd.nist.gov/vuln/detail/CVE-2021-27218
https://nvd.nist.gov/vuln/detail/CVE-2021-27219
https://nvd.nist.gov/vuln/detail/CVE-2021-28153
Applikationen: GLib

Originalnachricht


--Apple-Mail=_563FC3A9-0F69-4BD7-BA7F-5D5B0EE1C7AF
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
charset=us-ascii

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 202107-13
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: GLib: Multiple vulnerabilities
Date: July 07, 2021
Bugs: #768753, #775632
ID: 202107-13

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in GLib, the worst of which
could result in the arbitrary execution of code.

Background
==========

GLib is a library providing a number of GNOME's core objects and
functions.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 dev-libs/glib < 2.66.8 >= 2.66.8

Description
===========

Multiple vulnerabilities have been discovered in GLib. Please review
the CVE identifiers referenced below for details.

Impact
======

Please review the referenced CVE identifiers for details.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All GLib users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-libs/glib-2.66.8"

References
==========

[ 1 ] CVE-2021-27218
https://nvd.nist.gov/vuln/detail/CVE-2021-27218
[ 2 ] CVE-2021-27219
https://nvd.nist.gov/vuln/detail/CVE-2021-27219
[ 3 ] CVE-2021-28153
https://nvd.nist.gov/vuln/detail/CVE-2021-28153

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/202107-13

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2021 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5



--Apple-Mail=_563FC3A9-0F69-4BD7-BA7F-5D5B0EE1C7AF
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
filename=signature.asc
Content-Type: application/pgp-signature;
name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iQGTBAEBCgB9FiEEYOpPv/uDUzOcqtTy9JIoEO6gSDsFAmDlX/dfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDYw
RUE0RkJGRkI4MzUzMzM5Q0FBRDRGMkY0OTIyODEwRUVBMDQ4M0IACgkQ9JIoEO6g
SDvPLQf/ZoDVd6nfPsu1pdIAaRsOHOOo1rKKthOhxr8S90e35A+SQXA35e2c3x0S
ZZgaKCbJCXI+6TVJnNw7TeOClJ1wrrfdzPYBlDmH1tcqfqduCOxrvLuy0/d2fH3R
drO7pPr8KCAW6B7Mdf6yYm/hxtrbVeqQt5RcN3/5PADydl10FG2P5/lSzNz8V8nU
vAsZ6hZAlUARpGRjGV3OmtIvC1/Nx6girZg7veEAqwwU5ioXpReSC0hEF5Ca179t
qiE6/W0a4+uT3CWb3XZN9492xFgilQpUAwDOJcidRjUiHhDfPC+QoFMcrIAvpSyY
q+4GHbPH89paYr3Q6YCetWiYjPpz+Q==
=pMMq
-----END PGP SIGNATURE-----

--Apple-Mail=_563FC3A9-0F69-4BD7-BA7F-5D5B0EE1C7AF--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung